/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.wahlvorschlag.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QListenverbindung extends EntityPathBase<Listenverbindung> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QListenverbindung listenverbindung = new QListenverbindung("listenverbindung");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final StringPath bezeichnung = createString("bezeichnung");


  // Beziehungen N:1 unidirektional

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  public final SetPath<de.ivu.elect.business.wahlvorschlag.entity.Liste, de.ivu.elect.business.wahlvorschlag.entity.QListe> listesByListenverbindung = this.<de.ivu.elect.business.wahlvorschlag.entity.Liste, de.ivu.elect.business.wahlvorschlag.entity.QListe>createSet("listesByListenverbindung", de.ivu.elect.business.wahlvorschlag.entity.Liste.class, de.ivu.elect.business.wahlvorschlag.entity.QListe.class, PathInits.DIRECT);

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QListenverbindung(Class<? extends Listenverbindung> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
  }

  public QListenverbindung(String variable) {
    this(Listenverbindung.class, forVariable(variable), INITS);
  }

  public QListenverbindung(Path<? extends Listenverbindung> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QListenverbindung(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QListenverbindung(PathMetadata metadata, PathInits inits) {
    this(Listenverbindung.class, metadata, inits);
  }
}
